Description: Bonjour,

à la place de produire un seul fichier pdf avec tous les sujets j'aimerai produire autant de sujets pdf qu'il y a 
d'\exemplaire (je voudrais envoyer les sujets aux étudiants covid oblige).
Désolé si l'option est trivial mais je ne l'ai pas trouvée.
Par avance merci
ACM vôtre
Olivier

Petite aparté:
j'ai créé un script python avec pyPDF2 qui permet d'extraire les fichiers pdf du fichier principal.
Hélas les fichiers pdf extraits ont perdu leurs forms, i.e les pdf ne sont plus remplissables (c.f option pdfform 
de ACM). 
Je pense que c'est un bug de pyPDF2 ...
J'ai posté le lien de mon script ici
https://project.auto-multiple-choice.net/boards/4/topics/7456
et le lien de mon problème python ici
https://stackoverflow.com/questions/61301150/loosing-pdf-forms-while-spilling-document-with-pypdf2-pdfrw

History
04/20/2020 10:06 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Pour cela, utilisez une impression "dans des fichiers" (_Préférences/Général/Impression/Méthode d'impression_).

04/20/2020 11:46 am - Olivier Dadoun
Merci. Mais comme avec mon script j'observe que les fichiers pdf produits ont perdu leurs formes.
Il n'y aurait-il pas un bug avec l'option pdfform et la production de fichiers sujets individuels ?
Merci

04/20/2020 12:57 pm - Olivier Dadoun
- File Capture_d___e__cran_2020-04-20_a___11.40.44.jpg added

J'ai oublié de mettre une capture d'écran du problème rencontré.

04/20/2020 01:19 pm - Alexis Bienvenüe
- Status changed from Closed to Feedback

Pouvez-vous joindre le fichier @log@ obtenu en imprimant vers des fichiers en mode débogage (depuis le manu _Aide_) ?
04/20/2020 02:11 pm - Emmanuel SCHNEIDER
Bonjour, dans les préférences, vous pouvez régler la méthode d'extraction pour créer vos fichiers pdf et pour moi le caractère cliquable n'est conservé 
que si je règle qpdf sinon effectivement le caractère cliquable est perdu.
Cordialement

04/20/2020 02:33 pm - Olivier Dadoun
- File AMC-DEBUG-SWuf3HVo.log added

Yes ! Merci Emmanuel effectivement avec la règle qpdf ça marche nickel!
Merci Alexis je te donne tout de même mon log

Du coup je me demande si qpdf ne pourrait pas corriger mon problème observé avec pyPDF2 ...
